Humus numericus

Aller au contenu | Aller au menu | Aller à la recherche

R, Spip et autres

Installation du client Cisco VPN avec un noyau 2.6.16

Je viens de me rendre compte que mon client VPN Cisco ne fonctionnait plus au boulot depuis mon passage au noyau linux 2.6.16.18. Après un peu de Googling, voici les deux opérations à effectuer pour que ça tourne :

Problème de compilation

Pour régler l'erreur apparaissant à la compilation du module, il faut éditer le fichier linuxcniapi.c et remplacer toutes les occurrences de skb->stamp en skb->tstamp.

Problème à l'initialisation

Une fois le module compilé et chargé, je n'arrivais plus à lancer le VPN et me retrouvais avec le message d'erreur suivant :

privsep: unable to drop privileges: group set failed.

La solution est assez simple : un petit chmod 4111 /opt/cisco-vpnclient/bin/cvpnd et ça roule.

Je préfèrerais utiliser un client libre comme vpnc, mais il ne fonctionne pas avec notre super installation de la mort qui tue du boulot. Bref.

Commentaires

1. Le jeudi 22 juin 2006, 17:37 par coco_des_bois

Rien à voir, mais tu ne connais pas quelqu'un qui a noos et Linux ?
... :(

2. Le mercredi 29 novembre 2006, 21:41 par ontledroit

Tout à fait pertinent. Mêmes ennuis en passant de 2.6.12 à 2.6.17
sur mandriva.

J'avais trouvé le tstamp, mais pas le chmod 4111.

Merci!